Package org.eclipse.cdt.core.dom.ast

# Class ASTNodeFactoryFactory

java.lang.Object
org.eclipse.cdt.core.dom.ast.ASTNodeFactoryFactory

public class ASTNodeFactoryFactory extends Object
Provides access to the node factories.

Since:
  5.2
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Method Summary

Modifier and Type
Method
Description
`static ICNodeFactory`
`getDefaultCNodeFactory()`
`static ICPPNodeFactory`
`getDefaultCPPNodeFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefaultCNodeFactory

public static ICNodeFactory getDefaultCNodeFactory()

### getDefaultCPPNodeFactory

public static ICPPNodeFactory getDefaultCPPNodeFactory()